busybox (1:1.37.0-4ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2090999). Remaining changes:
    - Add busybox-initramfs binary package and initramfs flavour:
      - Add dirname from coreutils to the initramfs
      - Enable the new klibc utility implementations, nuke and run-init
        in the initramfs package; and also enable reboot.  Doesn't yet make
        klibc-utils irrelevant - we still use ipconfig, fstype, and nfsmount
        - but it moves us much closer and should save a little bit of disk
        space.
      - Enable TLS in initramfs flavour of wget applet, requires openssl
      - debian/config/pkg/initramfs: Enable the date applet with the same
        options as the other variants for use in fixrtc and casper scripts.
      - Prefer busybox cmds over klibc cmds where there is duplication.
      - Move zz-busybox to busybox-initramfs to ensure we get links to all
        the tools we need, stop shipping it anywhere else.
      - d/tree/busybox/usr/share/initramfs-tools/hooks/zz-busybox:
        Copy certs and openssl config for the casper+busybox-initramfs case.
      - Add Ubuntu configuration for busybox binaries.
    - test-bin.patch: Move test and friends to /bin.
    - static-sh-alias.patch: Add static-sh alias name for ash, and install
      /bin/static-sh symlink to busybox in busybox-static.
    - d/config/pkg/{deb,static}: Enable chpasswd (needed by LXC).
  * Patches merged upstream, dropping:
    - CVE-2023-42364.patch
    - CVE-2022-48174.patch
    - CVE-2023-42363.patch
    - fix-awk-assignment-precedence.patch

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Thu, 05 Dec 2024 17:59:07 +0100

busybox (1:1.37.0-4) unstable; urgency=medium

  * d/control: use Static-Built-Using for busybox-static, not Built-Using
  * fix-od-and-hexdump-tests-on-big-endian-hosts.patch: v2
    (implement it a bit differently, fix bug in v1)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 06 Oct 2024 14:30:47 +0300

busybox (1:1.37.0-3) unstable; urgency=medium

  * d/patches: +fix-od-and-hexdump-tests-on-big-endian-hosts.patch
    to fix tests failure on big-endian hosts

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 06 Oct 2024 13:35:45 +0300

busybox (1:1.37.0-2) unstable; urgency=medium

  * libbb-sha-add-missing-sha-NI-guard.patch - fix ftbfs on !x86

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 06 Oct 2024 11:09:29 +0300

busybox (1:1.37.0-1) unstable; urgency=medium

  * new upstream release 1.37.0
    Closes: CVE-2021-42380 (awk use-after-realloc)
    Cloese: CVE-2023-42363 (awk use-after-free)
  * d/patches/: refresh platform-linux.diff and version.patch
  * d/patches/: remove:
    - install-fix-chown-resetting-suid-sgid-bits-from-chmod.patch
    - syslogd-daemonize-after-init-make-errs-visible.patch
    - syslogd-decrease-stack-usage-50-bytes.patch
    - syslogd-fix-breakage-caused-by-daemonize-_after_-ini.patch
  * d/config/pkg/*: update configs:
    - enable time64
    - enable find exec-ok for regular and static builds
    - enable getfattr for regular and static builds
    - enable ip-link-can for regular and static builds
    - enable feature udhcpd bootp

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 06 Oct 2024 10:20:49 +0300

busybox (1:1.36.1-9ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2074188). Remaining changes:
    - Add busybox-initramfs binary package and initramfs flavour:
      - Add dirname from coreutils to the initramfs
      - Enable the new klibc utility implementations, nuke and run-init
        in the initramfs package; and also enable reboot.  Doesn't yet make
        klibc-utils irrelevant - we still use ipconfig, fstype, and nfsmount
        - but it moves us much closer and should save a little bit of disk
        space.
      - Enable TLS in initramfs flavour of wget applet, requires openssl
      - debian/config/pkg/initramfs: Enable the date applet with the same
        options as the other variants for use in fixrtc and casper scripts.
      - Prefer busybox cmds over klibc cmds where there is duplication.
      - Move zz-busybox to busybox-initramfs to ensure we get links to all
        the tools we need, stop shipping it anywhere else.
      - d/tree/busybox/usr/share/initramfs-tools/hooks/zz-busybox:
        Copy certs and openssl config for the casper+busybox-initramfs case.
      - Add Ubuntu configuration for busybox binaries.
    - test-bin.patch: Move test and friends to /bin.
    - static-sh-alias.patch: Add static-sh alias name for ash, and install
      /bin/static-sh symlink to busybox in busybox-static.
    - d/config/pkg/{deb,static}: Enable chpasswd (needed by LXC).
    - SECURITY UPDATE: stack overflow in ash
      - debian/patches/CVE-2022-48174.patch: error out on number followed by
        another number or variable name in shell/math.c.
      - CVE-2022-48174
    - SECURITY UPDATE: use after free in awk
      - debian/patches/CVE-2023-42364.patch: fix precedence of = relative to ==
        in editors/awk.c.
      - debian/patches/fix-awk-assignment-precedence.patch: restore assignment
        precedence to be lower than ternary ?: in editors/awk.c.
      - CVE-2023-42364, CVE-2023-42365
    - SECURITY UPDATE: use after free in awk
      - debian/patches/CVE-2023-42363.patch: get L.s after R.v is evaluated in
        editors/awk.c.
      - CVE-2023-42363
  * Dropped changes:
      - Drop d/p/reverse-cbq.patch: Re-instate defines from removed kernel headers

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Thu, 15 Aug 2024 14:29:03 +0200

busybox (1:1.36.1-9) unstable; urgency=medium

  * platform-linux.diff: udhcpc6 also depends on PLATFORM_LINUX
    (fixes ftbfs on hurd)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 16 Jul 2024 13:51:14 +0300

busybox (1:1.36.1-8) unstable; urgency=medium

  * busybox-1.36.1-no-cbq.patch to disable CBQ which is dropped
    from kernel in 6.8 (Closes: #1071648)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 16 Jul 2024 13:03:13 +0300

busybox (1:1.36.1-7) unstable; urgency=medium

  * udeb: remove all modutils (kmod-udeb provides better alternatives)
    (Closes: #1060134)
  * deb, static, udeb: provide install applet (Closes: #1069864)
  * udhcpc/default.script: recognize $search dhcp parameter too,
    in addition to $domain (and simplify these parts a bit)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 16 May 2024 21:49:03 +0300

busybox (1:1.36.1-6ubuntu4) oracular; urgency=medium

  * SECURITY UPDATE: stack overflow in ash
    - debian/patches/CVE-2022-48174.patch: error out on number followed by
      another number or variable name in shell/math.c.
    - CVE-2022-48174
  * SECURITY UPDATE: use after free in awk
    - debian/patches/CVE-2023-42364.patch: fix precedence of = relative to ==
      in editors/awk.c.
    - debian/patches/fix-awk-assignment-precedence.patch: restore assignment
      precedence to be lower than ternary ?: in editors/awk.c.
    - CVE-2023-42364, CVE-2023-42365
  * SECURITY UPDATE: use after free in awk
    - debian/patches/CVE-2023-42363.patch: get L.s after R.v is evaluated in
      editors/awk.c.
    - CVE-2023-42363

 -- Octavio Galland <octavio.galland@canonical.com>  Tue, 13 Aug 2024 10:44:44 -0300

busybox (1:1.36.1-6ubuntu3) noble; urgency=medium

  * d/p/reverse-cbq.patch: Re-instate defines from removed kernel headers
    (LP: #2062414)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 19 Apr 2024 10:16:16 +0200

busybox (1:1.36.1-6ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:55:04 +0200

busybox (1:1.36.1-6ubuntu1) noble; urgency=medium

  * Remove some documentation from the busybox-static package.
  * Merge with Debian unstable. Remaining changes:
    - Add busybox-initramfs binary package and initramfs flavour:
      - Add dirname from coreutils to the initramfs
      - Enable the new klibc utility implementations, nuke and run-init
        in the initramfs package; and also enable reboot.  Doesn't yet make
        klibc-utils irrelevant - we still use ipconfig, fstype, and nfsmount
        - but it moves us much closer and should save a little bit of disk
        space.
      - Enable TLS in initramfs flavour of wget applet, requires openssl
      - debian/config/pkg/initramfs: Enable the date applet with the same
        options as the other variants for use in fixrtc and casper scripts.
      - Prefer busybox cmds over klibc cmds where there is duplication.
      - Move zz-busybox to busybox-initramfs to ensure we get links to all
        the tools we need, stop shipping it anywhere else.
      - d/tree/busybox/usr/share/initramfs-tools/hooks/zz-busybox:
        Copy certs and openssl config for the casper+busybox-initramfs case.
      - Add Ubuntu configuration for busybox binaries.
    - test-bin.patch: Move test and friends to /bin.
    - static-sh-alias.patch: Add static-sh alias name for ash, and install
      /bin/static-sh symlink to busybox in busybox-static.
    - d/config/pkg/{deb,static}: Enable chpasswd (needed by LXC).

 -- Dan Bungert <daniel.bungert@canonical.com>  Tue, 12 Dec 2023 13:42:48 -0700

busybox (1:1.36.1-6) unstable; urgency=medium

  [ Michael Tokarev ]
  * d/rules: override-dh_installsystemd: s/-indep//
  * d/busybox-syslogd.{service,init}: umask 026, not 024
  * adjust paths to busybox binary after move
    /bin/busybox => /usr/bin/busybox
  * Upload to unstable.

  [ Chris Boot ]
  * Update binary path in lintian overrides.

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 30 Nov 2023 15:32:46 +0300

busybox (1:1.36.1-6~exp.1) experimental; urgency=medium

  * Coordinated move of binaries into /usr.
  * Upload to experimental.

 -- Chris Boot <bootc@debian.org>  Thu, 23 Nov 2023 12:35:38 +0000

busybox (1:1.36.1-5) unstable; urgency=medium

  * config:
   - deb: turn off embedded scripts (not used anyway)
   - deb: enable minimal dpkg (the same as in static config) (+lintian tag)
   - deb: enable passwd, su, sulogin (the same as in static config)
   - deb: enable ed (the same as in static config)
   - deb: enable cron & crontab (the same as in static config)
   - deb: enable tunctl (the same as in static config)
   - deb: set ifupdown udhcpc options to -R -n (the same as in static config)
   - deb: enable tc (traffic control) applet, the same as in static build
   - deb: enable ifupdown options like of static build
   - static: enable tftp progress bar (the same as in deb config)
   At this point, deb&static configs are almost the same, with the differences:
    - static (&libgcc), prefer_applets, standalone_shell, bb_passwd & bb_shadow
    - deb has no blkid (#1023501) and no telnetd (#881626)
   - deb,static: disable unusual ipneigh applet (but keep ip neigh)
   - deb,static,udeb: enable udhcpc6 (#1036446)
   - deb,static: enable wget timeout (-T) option
  * spelling.diff: forward upstream
  * d/*.lintian-overrides: +spelling-error-in-binary iif if [bin/busybox]
    (this is Input InterFace)
  * added udhcpd.service
  * update tags for debian/patches/syslogd-option_mask32.patch
  * busybox-syslogd*.service: update Documentation: settings
  * make busybox-syslogd socket-activated to work correctly under systemd
    (syslogd-make-it-optionally-systemd-socket-activated.patch,
    busybox-syslogd.service changes)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 18 Nov 2023 19:53:06 +0300

busybox (1:1.36.1-4) unstable; urgency=medium

  * Revert "Revert recent changes that have broken syslogd in d-i."
    Thank you Steve, others for the good work and patience!
  * syslogd-fix-breakage-caused-by-daemonize-_after_-ini.patch
    (use upstream patch instead of syslogd-avoid-nulling-devlog.patch.
    it looks like upstream rewrites patch authorship with their own)
  * syslogd-option_mask32.patch (Actually fixes #1039710 with remote logging)
  * syslogd: make logfiles owned by root:adm mode 0640
  * syslog.conf: match current rsyslog.conf
  * install-fix-chown-resetting-suid-sgid-bits-from-chmod.patch

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 13 Nov 2023 12:12:27 +0300

busybox (1:1.36.1-3.1) unstable; urgency=medium

  * NMU
  * Revert recent changes that have broken syslogd in d-i.
    Closes: #1039710

 -- Steve McIntyre <93sam@debian.org>  Thu, 03 Aug 2023 21:22:44 +0100

busybox (1:1.36.1-3ubuntu1) mantic; urgency=medium

  * Refresh d/config/pkg/initramfs for new upstream version.  New values based
    on 'deb' config.
  * Drop delta to the udeb config
  * Merge from Debian unstable. Remaining changes:
    - test-bin.patch: Move test and friends to /bin.
    - static-sh-alias.patch: Add static-sh alias name for ash, and install
      /bin/static-sh symlink to busybox in busybox-static.
    - Add busybox-initramfs.
    - debian/config/pkg/deb
      debian/config/pkg/static:
      Enable chpasswd in standard and static builds (needed by LXC).
    - Move zz-busybox to busybox-initramfs to ensure we get links to all
      the tools we need, stop shipping it anywhere else.
    - Prefer busybox commands over klibc commands where there is duplication.
    - Add Ubuntu configuration for busybox binaries.
    - Enable the new klibc utility implementations, nuke and run-init
      in the initramfs package; and also enable reboot.  Doesn't yet make
      klibc-utils irrelevant - we still use ipconfig, fstype, and nfsmount
      - but it moves us much closer and should save a little bit of disk
      space.
    - debian/config/pkg/initramfs: Enable the date applet with the same
      options as the other variants for use in fixrtc and casper scripts.
    - debian/config/pkg/initramfs
      debian/tree/busybox/usr/share/initramfs-tools/hooks/zz-busybox:
      Enable TLS in initramfs flavour of wget applet, requires openssl
    - Add dirname from coreutils to the initramfs

 -- Dan Bungert <daniel.bungert@canonical.com>  Wed, 05 Jul 2023 18:03:13 -0600

busybox (1:1.36.1-3) unstable; urgency=medium

  * syslogd-avoid-nulling-devlog.patch - fix overriding dev/log
    socket with dev/null in previous (upstream) patch.

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 15 Jun 2023 00:01:54 +0300

busybox (1:1.36.1-2) unstable; urgency=medium

  * replace syslog init patch with better version from upstream:
    syslogd-decrease-stack-usage-50-bytes.patch (prep)
    syslogd-daemonize-after-init-make-errs-visible.patch
  * platform-linux.diff: nbd is also linux-only
  * udhcpd: remove obsolete copy of udhcpd.conf,
    use one from examples/udhcp/udhcpd.conf
  * remove "remaining" parameter from udhcpd.conf.5 (Closes: #891757)
  * d/*.lintian-overrides: add #!/bin/busybox overrides for the init scripts

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 14 Jun 2023 23:10:23 +0300

busybox (1:1.36.1-1) unstable; urgency=medium

  * new upstream release 1.36.0 (and bugfix release 1.36.1)
    (Closes: CVE-2022-30065, use after free in awk)
  * use-libresolv-on-non-linux-too.patch: remove for now
    (upstream did it in a different, incomplete way)
  * spelling.diff: remove hunks which are applied upstream
  * fix-non-linux-build.patch: remove hunks which are applied upstream
  * refresh configs: enable ash sleep builtin, sha1/sha256 hwaccel,
    loop configure ioctl.
    New applets (tsort, seedrngm, tree) are not enabled
  * d/control: remove lsb-base from Depends of busybox-syslogd & udhcpd
    lsb-base was in Depends becase it provided /lib/lsb/init-functions
    file for the sysvinit initscripts in these packages. Now, sysvinit-utils
    has eaten this file. But this package is essential, so there's no need
    to depend on things providing init-functions anymore.
  * move udhcpd files from debian/tree/udhcpd/ to debian/
  * deb,static: enable nbd-client applet (Closes: #893843)
  * d/control: bump Standards-Version to 4.6.2 (no changes)
  * deb,static: enable nbd-client applet (Closes: #893843)
  * syslogd:
   - deb,static: enable syslog.conf and log rotation support for syslogd
     (Closes: #857760)
   - +syslogd-fork-after-init-not-before.patch:
     make syslogd init failures and error messages visible
   - busybox-syslogd package:
     - rewrite busybox-syslogd.init and busybox-klogd.init:
     - provide simple busybox-syslogd.service and busybox-klogd.service
       for systemd (Closes: #907189)
     - ship simple /etc/syslog.conf and syslog.conf.txt in docs
  * d/control: fix udhcpc & udhcpd names
  * udhcpc & udhcpd: make them Architecture: all instead of (linux-)any.
    The packages does not have any architecture-dependent parts at all
    (just the startup scripts), the only reason to make them arch-any is
    to exclude non-linux architectures.  But it seems it isn't worth the
    efforts really. Both packages becomes installable on non-linux but
    will not work.
  * udhcpd: rewrite the startup script
  * d/rules: adjust arch/indep rules so it build just the required parts,
    simplify install/link rules

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 08 Jun 2023 11:36:09 +0300

busybox (1:1.35.0-4ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - [udeb] Enable chvt, killall, losetup, od, and stat.
    - test-bin.patch: Move test and friends to /bin.
    - static-sh-alias.patch: Add static-sh alias name for ash, and install
      /bin/static-sh symlink to busybox in busybox-static.
    - Add busybox-initramfs.
    - debian/config/pkg/deb
      debian/config/pkg/static:
      Enable chpasswd in standard and static builds (needed by LXC).
    - Move zz-busybox to busybox-initramfs to ensure we get links to all
      the tools we need, stop shipping it anywhere else.
    - Prefer busybox commands over klibc commands where there is duplication.
    - Add Ubuntu configuration for busybox binaries.
    - Enable the new klibc utility implementations, nuke and run-init
      in the initramfs package; and also enable reboot.  Doesn't yet make
      klibc-utils irrelevant - we still use ipconfig, fstype, and nfsmount
      - but it moves us much closer and should save a little bit of disk
      space.
    - debian/config/pkg/initramfs: Enable the date applet with the same
      options as the other variants for use in fixrtc and casper scripts.
    - debian/config/pkg/initramfs
      debian/tree/busybox/usr/share/initramfs-tools/hooks/zz-busybox:
      Enable TLS in initramfs flavour of wget applet, requires openssl
    - Add dirname from coreutils to the initramfs

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Fri, 23 Nov 2022 15:44:44 +0000

busybox (1:1.35.0-4) unstable; urgency=medium

  * static build: disable blkid applet (CONFIG_BLKID, #1023501)

    Since static build has CONFIG_FEATURE_PREFER_APPLETS=y, enabling
    any utility which is also provided by the system in other ways
    can be risky, since busybox shell will choose its applet version
    instead of running the actual utility, even if that utility file
    exists in $PATH. After enabling blkid, we effectively overwrote
    blkid from libblkid as used in initramfs. The result was non-
    working udev rules for block devices (not creating /dev/disk/by-*/),
    and the system's unbootable.

    Disable it for now at least on static build.
    Closes: 1023501

  * d/rules: recognize "terse" in $DEB_BUILD_OPTIONS to disable verbose build

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 06 Nov 2022 11:27:04 +0300

busybox (1:1.35.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + udhcpc: Add Multi-Arch: same.

  [ Philip Hands ]
  * explicitly enable lintian
  * disable repotest's fileordering variation
  * stop running busybox tests in reprotest variations

  [ Michael Tokarev ]
  * deb: enable fdisk applet the same way as done in static config
  * deb,static: enable blkid applet (useful for rescue purposes)
  * deb,static: enable findfs applet (useful for rescue purposes)
  * d/rules: use diff instead of cmp to compare config files
    (makes differences, if any, to be immediately visible)
  * support building on non-linux. 3 patches for upstream:
    - platform-linux.diff - resurrect PLATFORM_LINUX and make it automatic
    - fix-non-linux-build.patch - for missing O_DIRECT & IP_PKTINFO
    - use-libresolv-on-non-linux-too.patch - -lresolv for nslookup
  * adjust configs to include the new symbol
  * d/rules: stop messing with "select PLATFORM_LINUX" thing
  * d/rules: stop linking source into build subdir
  * d/rules: fix testsuite run with no source in build dir
  * d/rules: remove .kernelrelease in clean (leftover)
  * d/rules: move build directory from debian/build/ to b/
  * d/rules: s/${DIR}/$d/g
  * d/config/os/hurd: remove nonexisting FEATURE_INITRD (see #593865)
  * d/control: do not use ${shlib:Depends} for busybox-static

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 04 Nov 2022 20:41:55 +0300

busybox (1:1.35.0-2) unstable; urgency=medium

  * Team upload.

  [ Michael Tokarev ]
  * configs: enable (fast) sha3sum for regular and static builds (#1012828)

  [ Philip Hands ]
  * enable base64 in udeb
  * enable salsa-CI (via branch2repo)
  * remove redundant triggers (dh_installinitramfs creates them)
  * fix lintian mismatch override
  * refresh fuzzy patches

 -- Philip Hands <phil@hands.com>  Fri, 02 Sep 2022 17:10:44 +0200

busybox (1:1.35.0-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - [udeb] Enable chvt, killall, losetup, od, and stat.
    - test-bin.patch: Move test and friends to /bin.
    - static-sh-alias.patch: Add static-sh alias name for ash, and install
      /bin/static-sh symlink to busybox in busybox-static.
    - Add busybox-initramfs.
    - debian/config/pkg/deb
      debian/config/pkg/static:
      Enable chpasswd in standard and static builds (needed by LXC).
    - Move zz-busybox to busybox-initramfs to ensure we get links to all
      the tools we need, stop shipping it anywhere else.
    - Prefer busybox commands over klibc commands where there is duplication.
    - Add Ubuntu configuration for busybox binaries.
    - Enable the new klibc utility implementations, nuke and run-init
      in the initramfs package; and also enable reboot.  Doesn't yet make
      klibc-utils irrelevant - we still use ipconfig, fstype, and nfsmount
      - but it moves us much closer and should save a little bit of disk
      space.
    - debian/config/pkg/initramfs: Enable the date applet with the same
      options as the other variants for use in fixrtc and casper scripts.
    - debian/config/pkg/initramfs
      debian/tree/busybox/usr/share/initramfs-tools/hooks/zz-busybox:
      Enable TLS in initramfs flavour of wget applet, requires openssl
    - Add dirname from coreutils to the initramfs
  * Dropped changes, included in Debian:
    - debian/patches/CVE-2021-28831.patch: fix DoS if gzip is corrupt in
      archival/libarchive/decompress_gunzip.c.
    - debian/patches/CVE-2021-42374.patch: fix a case where we could read
      before beginning of buffer in archival/libarchive/decompress_unlzma.c,
      testsuite/unlzma.tests.
    - debian/patches/CVE-2021-423xx-awk.patch: backport awk.c from
      busybox 1.34.1.
    - debian/patches/58d998d2f927c20f2ba728611df587ac8ec8bda9.patch
    - debian/patches/adjust-testsuite-for-fixed-bunzip2.patch
    - debian/patches/45fa3f18adf57ef9d743038743d9c90573aeeb91.patch
    - debian/patches/CVE-2018-1000500-2.patch

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Thu, 18 Aug 2022 13:27:21 -0500

busybox (1:1.35.0-1) unstable; urgency=medium

  [ Nobuhiro Iwamatsu ]
  * Enable stty applet in busybox-udeb. Closes: #891806

  [ Diederik de Haas ]
  * Enable CONFIG_FEATURE_TR_CLASSES and CONFIG_FEATURE_TR_EQUIV in deb
    config. Closes: #998803

  [ Yuval Freund ]
  * Fix special case for /32 subnets. Closes: #891857

  [ Chris Boot ]
  * New upstream release. Closes: #1002663
    - Closes: #985674 [CVE-2021-28831]
    - Closes: #999567 [CVE-2021-42373, CVE-2021-42374, CVE-2021-42375,
    CVE-2021-42376, CVE-2021-42377, CVE-2021-42378, CVE-2021-42379,
    CVE-2021-42380, CVE-2021-42381, CVE-2021-42382, CVE-2021-42383,
    CVE-2021-42384, CVE-2021-42385, CVE-2021-42386]
    - Closes: #995833 (uudecode /dev/stdout)
  * Refresh and rework patches:
    - Drop patches cherry-picked from upstream.
    - Drop ignore-ip-valid_lft.patch: no longer needed.
    - Rework version.patch: KBUILD_STR() has been dropped.
    - Temporarily drop kFreeBSD patches pending rework.
  * Update busybox configurations for new upstream version
  * Don't run test suite in verbose mode: it's easier to read without.

  [ Michael Tokarev ]
  * d/control: add myself to uploaders
  * switch to debhelper-compat=13
  * d/control: add ${misc:Pre-Depends} for packages with the startup scripts
  * enable tr classes for static build to
  * enable less applet for udeb (Closes: #949626)
  * enable base64 applet for regular and static (Closes: #998804)
  * d/rules: stop filtering -Wformat-security from CFLAG, it is okay now
  * d/rules: simplify the clean rule, omit dh in there
  * d/rules: made build-% depending on config-%
  * d/rules: steal build targets from dh which adds unnecessary indirection
  * d/rules: only do install & binary targets with dh
  * d/rules: set SHELL to sh -e to catch errors in shell fragments
  * d/rules: rework build/install procedure to be more robust wrt the
    environment variables: ensure busybox is built only once with right
    CFLAGS/CPPFLAGS/etc settings and not rebuilt during install time
  * many more smaller tweaks to d/rules:
    - fast inline version of architecture.mk
    - move examples & docs install from d/rules to d/*.{docs,examples}
    - switch from ${b} to $b
    - allow overriding verbose build by specifying V=
    - add shortcut targets build-deb configure-udeb test-static etc
    - export ECHO=/bin/echo for testsuite (it builds its own if no -e)
  * remove scripts-echo.c-fix-NUL-handling-in-abc-0-def.patch - not needed
    with the right ECHO=
  * d/busybox-static.lintian-overrides: add uses-dpkg-database-directly
  * spelling.diff: two spelling fixes for the source
  * d/changelog: strip trailing space
  * d/control: mark zip build-dependency with <!nocheck>
  * udeb config: enable awk applet the same way as for regular/static builds

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 06 Jun 2022 21:25:41 +0300

busybox (1:1.30.1-7ubuntu3) jammy; urgency=medium

  * Add dirname from coreutils to the initramfs (LP: #1960083)

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Fri, 04 Feb 2022 16:10:23 -0600

busybox (1:1.30.1-7ubuntu2) jammy; urgency=medium

  * SECURITY UPDATE: invalid free or segfault via gzip data
    - debian/patches/CVE-2021-28831.patch: fix DoS if gzip is corrupt in
      archival/libarchive/decompress_gunzip.c.
    - CVE-2021-28831
  * SECURITY UPDATE: OOB read in unlzma
    - debian/patches/CVE-2021-42374.patch: fix a case where we could read
      before beginning of buffer in archival/libarchive/decompress_unlzma.c,
      testsuite/unlzma.tests.
    - CVE-2021-42374
  * SECURITY UPDATE: multiple security issues in awk
    - debian/patches/CVE-2021-423xx-awk.patch: backport awk.c from
      busybox 1.34.1.
    - CVE-2021-42378, CVE-2021-42379, CVE-2021-42380, CVE-2021-42381,
      CVE-2021-42382, CVE-2021-42384, CVE-2021-42385, CVE-2021-42386

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 24 Nov 2021 14:52:59 -0500

busybox (1:1.30.1-7ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - [udeb] Enable chvt, killall, losetup, od, and stat.
    - test-bin.patch: Move test and friends to /bin.
    - static-sh-alias.patch: Add static-sh alias name for ash, and install
      /bin/static-sh symlink to busybox in busybox-static.
    - Add busybox-initramfs.
    - debian/config/pkg/deb
      debian/config/pkg/static:
      Enable chpasswd in standard and static builds (needed by LXC).
    - Move zz-busybox to busybox-initramfs to ensure we get links to all
      the tools we need, stop shipping it anywhere else.
    - Prefer busybox commands over klibc commands where there is duplication.
    - Add Ubuntu configuration for busybox binaries.
    - Enable the new klibc utility implementations, nuke and run-init
      in the initramfs package; and also enable reboot.  Doesn't yet make
      klibc-utils irrelevant - we still use ipconfig, fstype, and nfsmount
      - but it moves us much closer and should save a little bit of disk
      space.
    - debian/patches/58d998d2f927c20f2ba728611df587ac8ec8bda9.patch
      debian/patches/adjust-testsuite-for-fixed-bunzip2.patch
      Cherry-pick upstream fix for the bzip2 test failure
      Adjust testsuite expectations.
    - debian/config/pkg/initramfs: Enable the date applet with the same
      options as the other variants for use in fixrtc and casper scripts.
    - debian/config/pkg/initramfs
      debian/tree/busybox/usr/share/initramfs-tools/hooks/zz-busybox:
      Enable TLS in initramfs flavour of wget applet, requires openssl
    - debian/patches/45fa3f18adf57ef9d743038743d9c90573aeeb91.patch:
      Enable TLS verification with OpenSSL
    - SECURITY UPDATE: missing ssl cert validation in wget applet
      debian/patches/CVE-2018-1000500-2.patch: fix openssl options for cert
      verification in networking/wget.c. (CVE-2018-1000500)
  * Dropped changes, included in Debian:
    - Fix FTBFS with newer glibc:
      debian/config/pkg/*: disable CONFIG_FEATURE_MOUNT_NFS. This is only
      required for kernels < 2.6.23, and no longer builds with glibc in
      groovy as the RPC functions are gone.

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 16 Nov 2021 12:16:45 +0100

busybox (1:1.30.1-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + busybox: Drop versioned constraint on initramfs-tools in Breaks.

  [ Aurelien Jarno ]
  * Team upload.
  * Disable CONFIG_FEATURE_MOUNT_NFS. This option is to "Support mounting NFS
    file systems on Linux < 2.6.23", which are not supported anymore in
    Debian. It requires RPC support in glibc, which has just been removed.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 22 Aug 2021 16:39:45 +0200

busybox (1:1.30.1-6ubuntu3) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:09:51 +0200

busybox (1:1.30.1-6ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:30:15 +0100

busybox (1:1.30.1-6ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - [udeb] Enable chvt, killall, losetup, od, and stat.
    - test-bin.patch: Move test and friends to /bin.
    - static-sh-alias.patch: Add static-sh alias name for ash, and install
      /bin/static-sh symlink to busybox in busybox-static.
    - Add busybox-initramfs.
    - debian/config/pkg/deb
      debian/config/pkg/static:
      Enable chpasswd in standard and static builds (needed by LXC).
    - Move zz-busybox to busybox-initramfs to ensure we get links to all
      the tools we need, stop shipping it anywhere else.
    - Prefer busybox commands over klibc commands where there is duplication.
    - Add Ubuntu configuration for busybox binaries.
    - Enable the new klibc utility implementations, nuke and run-init
      in the initramfs package; and also enable reboot.  Doesn't yet make
      klibc-utils irrelevant - we still use ipconfig, fstype, and nfsmount
      - but it moves us much closer and should save a little bit of disk
      space.
    - debian/patches/58d998d2f927c20f2ba728611df587ac8ec8bda9.patch
      debian/patches/adjust-testsuite-for-fixed-bunzip2.patch
      Cherry-pick upstream fix for the bzip2 test failure
      Adjust testsuite expectations.
    - debian/config/pkg/initramfs: Enable the date applet with the same
      options as the other variants for use in fixrtc and casper scripts.
    - debian/config/pkg/initramfs
      debian/tree/busybox/usr/share/initramfs-tools/hooks/zz-busybox:
      Enable TLS in initramfs flavour of wget applet, requires openssl
    - debian/patches/45fa3f18adf57ef9d743038743d9c90573aeeb91.patch:
      Enable TLS verification with OpenSSL
    - SECURITY UPDATE: missing ssl cert validation in wget applet
      debian/patches/CVE-2018-1000500-2.patch: fix openssl options for cert
      verification in networking/wget.c. (CVE-2018-1000500)
    - Fix FTBFS with newer glibc:
      debian/config/pkg/*: disable CONFIG_FEATURE_MOUNT_NFS. This is only
      required for kernels < 2.6.23, and no longer builds with glibc in
      groovy as the RPC functions are gone.
  * Dropped changes, included in Debian:
    debian/patches/stime-is-clock_settime.patch: stime is obsolete, use
    clock_settime instead.

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 09 Nov 2020 11:59:42 +0100

busybox (1:1.30.1-6) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Team upload.
  * cherry-pick settimeofday for glibc v2.31+ compatibility fix for upstream.
    Closes: #966074.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 16 Aug 2020 12:17:38 +0200

busybox (1:1.30.1-5) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Team upload.
  * cherry-pick glibc 2.31 compatibility fix from upstream. Closes: #955368.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 13 Jul 2020 22:15:51 +0200

busybox (1:1.30.1-4ubuntu9) groovy; urgency=medium

  * SECURITY UPDATE: missing ssl cert validation in wget applet
    - debian/patches/CVE-2018-1000500-2.patch: fix openssl options for cert
      verification in networking/wget.c.
    - CVE-2018-1000500
  * Fix FTBFS with newer glibc:
    - debian/config/pkg/*: disable CONFIG_FEATURE_MOUNT_NFS. This is only
      required for kernels < 2.6.23, and no longer builds with glibc in
      groovy as the RPC functions are gone.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 22 Sep 2020 08:22:17 -0400

busybox (1:1.30.1-4ubuntu8) groovy; urgency=medium

  * Enable TLS verification with OpenSSL. LP: #1879533

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 20 May 2020 14:44:54 +0100

busybox (1:1.30.1-4ubuntu7) groovy; urgency=medium

  * Enable TLS in initramfs flavour of wget applet, requires openssl. LP:
    #1879525

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 19 May 2020 16:16:23 +0100

busybox (1:1.30.1-4ubuntu6) focal; urgency=medium

  * debian/patches/stime-is-clock_settime.patch: stime is obsolete, use
    clock_settime instead.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 30 Mar 2020 15:37:00 +0000

busybox (1:1.30.1-4ubuntu5) focal; urgency=medium

  * debian/config/pkg/initramfs: Enable the date applet with the same
    options as the other variants for use in fixrtc and casper scripts.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 04 Nov 2019 09:35:27 -0700

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog busybox-initramfs`.
